SettingsList:
  get:
    tags:
      - common
    operationId: searchSettings
    summary: Получение всех параметров
    description: Получение всех параметров
    x-lg-handler: '\App\Http\ApiV1\Modules\Common\Controllers\SettingsController@search'
    x-lg-skip-request-generation: true
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/settings.yaml#/SettingsResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  patch:
    tags:
      - common
    operationId: patchSettings
    summary: Обновление параметров
    description: Обновление параметров
    x-lg-handler: '\App\Http\ApiV1\Modules\Common\Controllers\SettingsController@patchSeveral'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/settings.yaml#/PatchSeveralSettingsRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/settings.yaml#/SettingsResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
